# GNSCompensationHandler

*Compensation contract that gives GNS to dev fund renouncing dai revenue and allows users to redeem NFTs that are now deprecated for GNS*

## gns

```solidity
contract IERC20 gns
```

## staking

```solidity
contract IGNSStaking staking
```

## nfts

```solidity
contract IERC721[5] nfts
```

## devFundUnlockScheduled

```solidity
bool devFundUnlockScheduled
```

## ClaimInput

```solidity
struct ClaimInput {
  uint256 nftType;
  uint256[] ids;
}
```

## NftsConverted

```solidity
event NftsConverted(address user, struct GNSCompensationHandler.ClaimInput[] input, uint256 claimAmount, uint256 penaltyAmount, bool locked)
```

## DevFundUnlockScheduled

```solidity
event DevFundUnlockScheduled()
```

## constructor

```solidity
constructor(contract IERC20 _gns, contract IGNSStaking _staking, contract IERC721[5] _nfts) public
```

## retireNfts

```solidity
function retireNfts(struct GNSCompensationHandler.ClaimInput[] _inputArr, bool _lock) external
```

## scheduleDevFundUnlock

```solidity
function scheduleDevFundUnlock() external
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/misc/gnscompensationhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
